OsmoMSC - Feature #3620

Implement TTCN-3 testsuite for Inter-MSC HO
10/02/2018 06:23 PM - laforge

Status: Stalled Start date: 10/02/2018
Priority: Normal Due date:

Assignee: neels % Done: 60%
Category:

Target version:

Resolution: Spec Reference:

Description

Implementation of TTCN-3 test cases as part of MSC_Tests.ttcn in osmo-ttcn3-hacks.git which emulate one external BSC and MSC
to test basic and subsequent Inter-MSC hand-over of OsmoMSC.

History

#1 - 10/02/2018 06:24 PM - laforge

- Description updated

#2 - 10/02/2018 06:27 PM - laforge
- Tags changed from Inter-MSC HO to Inter-MSC HO, TTCN3

#4 - 03/26/2019 06:11 PM - laforge

- Assignee set to neels

Hi neels, osmith: Please keep this ticket status updated as you've been working on this for many weeks but there were not updates here. It's
important to be able to track progress in tickets!

#5 - 03/27/2019 09:55 AM - osmith

| did not work on this, but on the related GSUP messages (#3774). So | can't say what the status is here.

#6 - 04/04/2019 12:40 AM - neels

- Checklist item [x] inbound hand-over, successful set to Done
Checklist item [x] outbound hand-over, successful set to Done

- Status changed from New to In Progress

- % Done changed from 0 to 30

TTCNS3 tests are implemented on branch neels/ho of osmo-ttcn3-hacks, need to be finalized and made ready to merge.
There is a slur of other ttcn3 patches that need to be applied before...

e The tests of successful HO were written when there was no MNCC forwarding yet. May need adjusting.
e The unsuccessful cases are obviously many more than the successful ones, so far only one or two exist.

#7 - 04/04/2019 08:31 AM - laforge
Hi Neels,

On Thu, Apr 04, 2019 at 12:40:28AM +0000, neels [REDMINE] wrote:

TTCNB3 tests are implemented on branch neels/ho of osmo-ttcn3-hacks, need to be finalized and made ready to merge.

Just for your information: I'll plan to read through + review that branch until Sunday.

#8 - 04/04/2019 12:01 PM - neels

laforge wrote:
Just for your information: I'll plan to read through + review that branch until Sunday.

(haven't yet changed the inter-BSC test to what we discussed, it is still segmented into two functions.
A lot of those commits need squashing, maybe i've done that by the time you're taking a look.)

#9 - 05/08/2019 11:49 PM - neels
- % Done changed from 30 to 60

An initial test for inter-MSC Handover is merged to osmo-ttcn3-hacks master.

However, the middle part of that test wants to play through some USSD signalling to test inter-MSC DTAP, which doesn't work because somehow the
ttcn3 code to encode the messages is still wrong.

Also missing are failure cases of inter-MSC handover.

#10 - 05/08/2019 11:52 PM - neels

BTW, the test called TC_ho_inter_msc_out() of course also includes the incoming side as a Subsequent Handover back to the original MSC.
However, a separate test of handover towards an MSC-B (that does not also have the msc_a role) should be added as well.

#11 - 09/04/2019 09:08 AM - laforge

- Status changed from In Progress to Stalled

#12 - 09/04/2019 09:08 AM - laforge
- Parent task deleted (#3618)
